package com.ruoyi;


import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * 启动程序
 *
 * @author ruoyi
 */
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
//@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class}, scanBasePackages = {"com.ruoyi.*" , "com.ajf.*"})
//@EnableAutoConfiguration
//@ComponentScan(basePackages = {"com.ruoyi" , "com.ajf" , "com.baomidou"})    // 自定义扫包路径
//@ComponentScan(basePackages = {"com"})    // 自定义扫包路径

//@EnableAspectJAutoProxy
//@Configuration
//@EnableAutoConfiguration
//@EnableTransactionManagement
//@ComponentScan(basePackageClasses = {RuoYiApplication.class, AutoScanBeanTag.class})

public class RuoYiApplication {
    public static void main(String[] args) {
        // System.setProperty("spring.devtools.restart.enabled", "false");
        SpringApplication.run(RuoYiApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  中国海油惠州石化岗检信息系统启动成功   ლ(´ڡ`ლ)ﾞ  \n" +
                "  _____   ____   _____ _______             _____ _    _ ______ _____ _  __\n" +
                " |  __ \\ / __ \\ / ____|__   __|           / ____| |  | |  ____/ ____| |/ /\n" +
                " | |__) | |  | | (___    | |     ______  | |    | |__| | |__ | |    | ' / \n" +
                " |  ___/| |  | |\\___ \\   | |    |______| | |    |  __  |  __|| |    |  <  \n" +
                " | |    | |__| |____) |  | |             | |____| |  | | |___| |____| . \\ \n" +
                " |_|     \\____/|_____/   |_|              \\_____|_|  |_|______\\_____|_|\\_\\\n" +
                "                                                                          \n" +
                "                                                                          ");
    }


    /**
     * 解决GET请求参数含特殊字符报错问题The valid characters are defined in RFC 7230 and RFC 3986
     *
     * @return
     */
//    @Bean
//    public TomcatServletWebServerFactory webServerFactory() {
//        TomcatServletWebServerFactory factory = new TomcatServletWebServerFactory();
//        factory.addConnectorCustomizers((Connector connector) -> {
//            connector.setProperty("relaxedPathChars" , "\"<>[\\]^`{|}");
//            connector.setProperty("relaxedQueryChars" , "\"<>[\\]^`{|}");
//        });
//        return factory;
//    }
}
