package com.ruoyi.common.enums;

public enum DeptCode {

    DEPT_HR("10001", "人力资源部"),

    DEPT_PARTY("10002", "党建工作部"),

    DEPT_HSE("10003", "健康安全环保中心"),

    DEPT_ICFA("10004", "内控法务部"),
    DEPT_OFFICE("10005", "办公室");


    private final String code;
    private final String info;

    DeptCode(String code, String info) {
        this.code = code;
        this.info = info;
    }

    public String getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
