package com.ruoyi.postCheck.domain.homePage;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@EqualsAndHashCode
@Data
@ApiModel(value = "首页-总览")
public class PostTotalView implements Serializable {

    private static final long serialVersionUID = -4567465960543504158L;

    @ApiModelProperty("责任制清单数量")
    private Integer listCount;

    @ApiModelProperty("检查出的问题数量")
    private Integer problemCount;

    @ApiModelProperty("岗检数量-已查")
    private Integer checkedPostCount;

    @ApiModelProperty("岗检数量-未查")
    private Integer uncheckedPostCount;

}
