package com.ruoyi.postCheck.domain.problemStatistics;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@EqualsAndHashCode
@Data
@ApiModel(value = "统计分析-岗检问题属性及类别整改占比（职能管理）")
public class ProblemAttributeCategoryView extends ProblemNumberBase {
    private static final long serialVersionUID = -5776997032261242866L;

    @ApiModelProperty("问题类别类型key值")
    private int problemCategoryType;

    @ApiModelProperty("问题类别显示名称（职责权限问题、工作内容问题、工作标准问题、考核奖励问题、任职资格问题、其他）")
    private String problemCategoryTypeView;

   /* [
        {
            problemCategoryType: 1
            problemCategoryType: 职责权限问题
            problemComplete: 完整性数量
            problemSuitable: 适宜性数量
            problemEffective: 有效性数量
        },
        {
            problemCategoryType: 2
            problemCategoryType: 工作内容问题
            problemComplete: 完整性数量
            problemSuitable: 适宜性数量
            problemEffective: 有效性数量
        },
        {
            problemCategoryType: 3
            problemCategoryType: 工作标准问题
            problemComplete: 完整性数量
            problemSuitable: 适宜性数量
            problemEffective: 有效性数量
        }
        ……
        ……
        ……
    ]*/

}
