package com.ruoyi.postCheck.mapper;

import java.util.List;
import com.ruoyi.postCheck.domain.PostCheckedProblemRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 岗检问题操作记录表Mapper接口
 *
 * @author csg
 * @date 2023-12-23
 */
public interface PostCheckedProblemRecordMapper extends BaseMapper<PostCheckedProblemRecord>
{
    /**
     * 查询岗检问题操作记录表
     *
     * @param id 岗检问题操作记录表主键
     * @return 岗检问题操作记录表
     */
//    public PostCheckedProblemRecord selectPostCheckedProblemRecordById(Long id);

    /**
     * 查询岗检问题操作记录表列表
     *
     * @param postCheckedProblemRecord 岗检问题操作记录表
     * @return 岗检问题操作记录表集合
     */
    public List<PostCheckedProblemRecord> selectPostCheckedProblemRecordList(PostCheckedProblemRecord postCheckedProblemRecord);

    /**
     * 新增岗检问题操作记录表
     *
     * @param postCheckedProblemRecord 岗检问题操作记录表
     * @return 结果
     */
    public int insertPostCheckedProblemRecord(PostCheckedProblemRecord postCheckedProblemRecord);

    /**
     * 修改岗检问题操作记录表
     *
     * @param postCheckedProblemRecord 岗检问题操作记录表
     * @return 结果
     */
//    public int updatePostCheckedProblemRecord(PostCheckedProblemRecord postCheckedProblemRecord);

    /**
     * 删除岗检问题操作记录表
     *
     * @param id 岗检问题操作记录表主键
     * @return 结果
     */
//    public int deletePostCheckedProblemRecordById(Long id);

    /**
     * 批量删除岗检问题操作记录表
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
//    public int deletePostCheckedProblemRecordByIds(Long[] ids);
}
