package com.ruoyi.postCheck.domain.tools;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@ApiModel(value = "岗位责任制清单审核权限用户")
@Data
public class PostListApproveTypeUser {
    @ApiModelProperty("1-业务职责；2-党建及党风廉政建设职责；3-安全环保职责；4-合规保密职；5-任职资格与能力素质要求")
    private Integer type;

    @ApiModelProperty("拥有审核权限的用户数组")
    private List<Long> userList = new ArrayList<>();

    public PostListApproveTypeUser(Integer type, List<Long> userList) {
        this.type = type;
        this.userList = userList;
    }
}
